Множественные уязвимости в X2CRM

Дата публикации:
21.03.2014
Дата изменения:
21.03.2014
Всего просмотров:
497
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
4
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:OF/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
X2CRM 3.x
Уязвимые версии: X2CRM 3.7.3, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение и манипулировать важными данными.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах HTTP GET "lastEventId" и "lastTimestamp" в сценарии /index.php/profile/getEvents перед использованием в SQL запросе. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметрах HTTP POST Contacts[firstName]" и "Contacts[website]" в сценарии /index.php/contacts/create. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта, при просмотре вредоносных данных.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре HTTP POST "Docs[name]" в сценарии /index.php/docs/create. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметре HTTP GET "CKEditorFuncNum" в сценарии index.php/media/ajaxUpload. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта

URL производителя: http://www.x2engine.com

Решение: Установите последнюю версию 3.7.4 с сайта производителя.

Ссылки: https://github.com/X2Engine/X2Engine/blob/master/CHANGELOG.md#374
http://hauntit.blogspot.com/2014/02/en-multiple-vulnerabilities-in-x2engine.html

или введите имя

CAPTCHA